/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { BciSharedModule } from '@bci-web-core/core';
import { LoaderServiceDemoComponent } from './loader-service-demo.component';

describe('LoaderServiceDemoComponent', () => {
  let component: LoaderServiceDemoComponent;
  let fixture: ComponentFixture<LoaderServiceDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [BciSharedModule, MatDialogModule],
        declarations: [LoaderServiceDemoComponent],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(LoaderServiceDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
